
Infrastructure - Story #3100

Expose solr schema browsing request handler for CN search index.

2012-07-25 14:33 - Skye Roseboom

Status: Rejected Start date: 2012-07-25

Priority: Normal Due date: 2012-09-22

Assignee: Skye Roseboom % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.37-Block.5.3   

Story Points:    

Description

Expose the solr luke request handler so it is available to public users.   Needs to be poked through apache to be served to public.

May also need/want to look to change the default path to the luke request handler from 'CORENAME/admin/luke'.

This task likely replaced by or duplicates new search API listSearchFields.

History

#1 - 2012-07-30 20:17 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-08-29 23:02 - Skye Roseboom

- Status changed from In Progress to New

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#3 - 2012-08-29 23:04 - Skye Roseboom

- Tracker changed from Task to Story

#4 - 2012-10-02 20:01 - Skye Roseboom

- Due date set to 2012-09-22

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Rejected

This feature has been replaced by cn/v1/query/solr/ defined to return the dataone QueryEngineDescription object which includes information about

the schema fields.
